import request from '@/utils/request'

// 查询业务员业绩列表
export function listMallSalesmanAchievement(query) {
  return request({
    url: '/mall/mallSalesmanAchievement/list',
    method: 'get',
    params: query
  })
}

// 查询业务员业绩详细
export function getMallSalesmanAchievement(achievementId) {
  return request({
    url: '/mall/mallSalesmanAchievement/' + achievementId,
    method: 'get'
  })
}

// 新增业务员业绩
export function addMallSalesmanAchievement(data) {
  return request({
    url: '/mall/mallSalesmanAchievement',
    method: 'post',
    data: data
  })
}

// 修改业务员业绩
export function updateMallSalesmanAchievement(data) {
  return request({
    url: '/mall/mallSalesmanAchievement',
    method: 'put',
    data: data
  })
}

// 删除业务员业绩
export function delMallSalesmanAchievement(achievementId) {
  return request({
    url: '/mall/mallSalesmanAchievement/' + achievementId,
    method: 'delete'
  })
}

// 导出业务员业绩
export function exportMallSalesmanAchievement(query) {
  return request({
    url: '/mall/mallSalesmanAchievement/export',
    method: 'get',
    params: query
  })
}